bup (0.31~git20200814-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    3d243e3af895031e4a51113df9b7c51e09792347

 -- Robert Edmonds <edmonds@debian.org>  Fri, 14 Aug 2020 23:10:19 -0400

bup (0.31~git20200809-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    07f74364b1854810f814e81e73822f35b7677318
  * debian/control: Update bup package's Recommends: python3-fuse,
    python3-tornado

 -- Robert Edmonds <edmonds@debian.org>  Sun, 09 Aug 2020 15:23:24 -0400

bup (0.31~git20200808-1) experimental; urgency=medium

  * New upstream git snapshot of commit
    ba836360f66ed046be1af98904a36a4ce862ca62
  * debian/rules: Exclude py2raise.py from byte-compilation; it is not
    syntactically valid Python 3
  * debian/control: Bump Standards-Version to 4.5.0 (no changes)
  * debian/: Bump debhelper compat level to 13

 -- Robert Edmonds <edmonds@debian.org>  Sat, 08 Aug 2020 21:28:59 -0400

bup (0.31~git20200728-1) experimental; urgency=medium

  * New upstream git snapshot due to call for testing
  * debian/: Remove debian/gen_version_py.sh due to upstream changes
  * debian/: Update dependencies and build rules for python3
    (Closes: #936251, #966723)
  * debian/control: Add additional build dependencies acl, libacl1-dev,
    libreadline-dev
  * debian/: Generate lib/bup/source_info.py
  * dev/install-python-script: Use Python 3

 -- Robert Edmonds <edmonds@debian.org>  Wed, 05 Aug 2020 02:39:00 -0400

bup (0.29.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Mon, 26 Aug 2019 11:24:25 -0400

bup (0.29.3-1) experimental; urgency=medium

  * New upstream version 0.29.3

 -- Robert Edmonds <edmonds@debian.org>  Sun, 25 Aug 2019 23:37:44 -0400

bup (0.29.2-1) experimental; urgency=medium

  * New upstream version 0.29.2
    - Contains test suite fix for newer versions of git. (Closes: #879213)
  * debian/control: Remove Vcs-Browser, Vcs-Git fields pointing to
    anonscm.debian.org
  * debian/control: Change package priority from extra to optional
  * debian/control: Mark bup-doc as "Multi-Arch: foreign"

 -- Robert Edmonds <edmonds@debian.org>  Sat, 17 Aug 2019 17:34:47 -0400

bup (0.29-3) unstable; urgency=medium

  [ Tim Riemenschneider ]
  * Safeguard against deleting new pack-file (f.e. with threshold=0)
    (Closes: #859295)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 01 Apr 2017 14:38:19 -0400

bup (0.29-2) unstable; urgency=medium

  [ James Cowgill ]
  * Build-Depend on tzdata to fix FTBFS. (Closes: #839498)

  [ Robert Edmonds ]
  * debian/changelog: Acknowledge 0.28.1-1.1 NMU

 -- Robert Edmonds <edmonds@debian.org>  Sun, 01 Jan 2017 14:42:37 -0500

bup (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
  * debian/control: Upgrade Vcs-Git URL from git:// to https://
  * debian/control: Bump Standards-Version to 3.9.8 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Thu, 29 Dec 2016 16:08:15 -0500

bup (0.29~rc1-1) experimental; urgency=medium

  [ Rob Browning ]
  * test-prune-older: set test git author/committer

  [ Robert Edmonds ]
  * New upstream version 0.29-rc1

 -- Robert Edmonds <edmonds@debian.org>  Sat, 24 Dec 2016 14:13:27 -0500

bup (0.28.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on tzdata to fix FTBFS. (Closes: #839498)

 -- James Cowgill <jcowgill@debian.org>  Thu, 27 Oct 2016 15:22:29 +0100

bup (0.28.1-1) unstable; urgency=medium

  * New upstream version 0.28.1
  * debian/rules: Generate our own /usr/lib/bup/bup/_release.py
  * cmd/version-cmd.py: Disable regex test for tag names

 -- Robert Edmonds <edmonds@debian.org>  Sun, 02 Oct 2016 17:22:52 -0400

bup (0.28~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 21 May 2016 23:49:48 -0400

bup (0.27.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Wed, 18 May 2016 23:00:17 -0400

bup (0.27.1~rc2-2) experimental; urgency=medium

  * Cherry pick 'test_server_split_with_indexes: close packwriter' from
    upstream master.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 15 May 2016 13:39:26 -0400

bup (0.27.1~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 14 May 2016 18:48:46 -0400

bup (0.27-2) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/gen_version_py.sh: Make the build reproducible (Closes: #792673)

  [ Robert Edmonds ]
  * debian/gbp.conf: Add [dch] section
  * debian/gbp.conf: Move 'debian-branch' setting into [DEFAULT] section
  * debian/: Run "wrap-and-sort -sbt"
  * debian/control: Update Vcs-Browser
  * debian/control: Add dh-python to Build-Depends

 -- Robert Edmonds <edmonds@debian.org>  Sat, 19 Dec 2015 15:16:57 -0500

bup (0.27-1) unstable; urgency=medium

  * New upstream release. (Closes: #787098)
  * Cherry-pick upstream commit cd09571851cd2c1e6e9c7b8195c0bc72ac31ae6a
    ("Update definition lists for pandoc 1.13").
  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 13 Jun 2015 17:11:02 -0400

bup (0.27~rc4-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 29 Mar 2015 21:12:30 -0400

bup (0.27~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 14 Mar 2015 15:41:36 -0400

bup (0.26-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 23 Aug 2014 08:26:03 -0700

bup (0.26~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 28 May 2014 18:57:12 -0400

bup (0.25-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 16 Dec 2013 11:55:58 -0500

bup (0.25~rc5-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 10 Dec 2013 14:42:47 -0500

bup (0.25~rc4-1) unstable; urgency=low

  * New upstream release.
  * Increase debhelper compat level to 9.
  * Re-enable python-pylibacl on non-Linux architectures;
    tentatively closes: #726727.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 15 Nov 2013 14:31:34 -0500

bup (0.25~rc3-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 24 Sep 2013 19:08:12 -0400

bup (0.25~rc2-3) unstable; urgency=low

  * Build-Depend and Depend on python-pylibacl and python-pyxattr only on
    linux-any.
  * Build-Depend and Depend on par2 only on !hurd-i386.
  * Add Build-Depends-Indep on pandoc-data due to pandoc/pandoc-data binary
    package split.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 01 Sep 2013 14:40:26 -0400

bup (0.25~rc2-2) unstable; urgency=low

  * Fold bup-fuse and bup-web back into the main 'bup' package at the
    suggestion of the Debian FTP Masters.
  * Demote the Depends on python-fuse (for 'bup fuse') and python-tornado
    (for 'bup web') to Recommends, since these scripts have import guards
    and will print a proper error message if these packages aren't installed.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 10 Aug 2013 17:13:36 -0400

bup (0.25~rc2-1) unstable; urgency=low

  * New upstream release.
  * New binary packages:
    - bup-doc
    - bup-fuse
    - bup-web
  * Add dependency on python-pylibacl, python-pyxattr, in order to backup
    file metadata.
  * Promote dependency on par2 from Recommends to Depends.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 08 Aug 2013 22:00:57 -0400

bup (0.25~git20130505-1) unstable; urgency=low

  * Upload to unstable.
  * Merge upstream commit 6cf3688.
  * Push Debian source package changes to git.debian.org; closes: #704908.
  * Don't build docs on mips; closes: #704910.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 06 May 2013 15:35:00 -0400

bup (0.25~git20130303-1) experimental; urgency=low

  * New maintainer; closes: #699163.
  * Merge upstream commit 7e9005e.
  * Convert from python-support to dh_python2.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 03 Mar 2013 19:43:36 -0500

bup (0.25~git2011.11.04-6) experimental; urgency=low

  * Add --parallel to dh* calls to support parallel building.
  * Depend upon python-pyxattr and python-pylibacl so that "bup
    meta" works. Thanks Sascha Silbe. Closes: #692009.

 -- Jon Dowland <jmtd@debian.org>  Tue, 06 Nov 2012 22:50:59 +0000

bup (0.25~git2011.11.04-5) unstable; urgency=low

  * Add 0.22a-1 changelog entry to this file. Remove changelog
    entry for  0.21-1 which was never uploaded.  Closes: #665650.
  * The experimental upload appears to have worked!
    Closes: #664185, #668997.

 -- Jon Dowland <jmtd@debian.org>  Fri, 25 May 2012 11:55:14 +0100

bup (0.25~git2011.11.04-4) experimental; urgency=low

  * Bump standards version.
  * Skip 'make test' on s390 to avoid FTBFS. This might
    resolve #664185.
  * Adjust two 'asserts' to be side-effect free, so that
    users could run with PYTHONOPTIMIZE adjusted. This might
    resolve #668997.

 -- Jon Dowland <jmtd@debian.org>  Thu, 24 May 2012 09:43:28 +0100

bup (0.25~git2011.11.04-3) unstable; urgency=low

  * Add two patches from Gonéri Le Bouder to fix building
    on KFreeBSD. Boy, we have a lot of build failures.
    Thanks Gonéri! Closes: #651104.

 -- Jon Dowland <jmtd@debian.org>  Wed, 11 Jan 2012 21:34:48 +0000

bup (0.25~git2011.11.04-2) unstable; urgency=low

  * Add bloom-unaligned-bufs to the series file. Oops!
    Thanks Jakub Wilk. Closes: #641488.

 -- Jon Dowland <jmtd@debian.org>  Tue, 03 Jan 2012 20:48:36 +0000

bup (0.25~git2011.11.04-1) unstable; urgency=low

  [ Teemu Ikonen ]
  * New upstream version.
  * Add a proper patch 'no-werror' for the previous NMU, fixing FTBFS
    (closes: #643060).
  * Refresh patches 'mangle-version' and 'excise-tornado' to work
    with the new upstream version.
  * rules:
    - override dh_auto_configure: Call ./configure without arguments.
    - override dh_auto_clean: Remove files generated by configure.

  [ Jon Dowland ]
  * We've merged upstream commit 8953dc8 (a couple ahead of bup-0.25-rc1)
  * Acknowledge NMU.  Thanks Julien Cristau!
  * Don't use pandoc on architectures where it's missing.
    Thanks Julien Cristau. Closes: #641637.
  * New package should fix python dependency. Closes: #649351.
  * Fix an unaligned-access problem which caused FTBFS on SPARC.
    Thanks once again Julien Cristau. Closes: #641488.

 -- Jon Dowland <jmtd@debian.org>  Mon, 05 Dec 2011 15:44:38 +0000

bup (0.24b-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build with -Werror, to fix build failure (closes: #633145)

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Aug 2011 19:31:19 +0200

bup (0.24b-1) unstable; urgency=low

  * New upstream version.
  * bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Fri, 08 Jul 2011 09:55:48 +0100

bup (0.22a-1) unstable; urgency=low

  * New upstream version. Closes: #610690.

 -- Jon Dowland <jmtd@debian.org>  Mon, 07 Feb 2011 22:40:44 +0000

bup (0.20-2) unstable; urgency=low

  * use python-support to tightly version python dependency,
    needed due to the binary extensions. Thanks Jakub Wilk.
    Closes: #608568.

 -- Jon Dowland <jmtd@debian.org>  Sun, 02 Jan 2011 20:17:40 +0000

bup (0.20-1) unstable; urgency=low

  * new upstream version.

 -- Jon Dowland <jmtd@debian.org>  Fri, 17 Dec 2010 23:52:43 +0000

bup (0.17b-2) unstable; urgency=low

  * add git as a build dependency. Closes: #595949
  * bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Tue, 07 Sep 2010 22:08:48 +0100

bup (0.17b-1) unstable; urgency=low

  * New upstream version.
  * document package VCS in control file

 -- Jon Dowland <jmtd@debian.org>  Tue, 07 Sep 2010 17:03:28 +0100

bup (0.14a-1) unstable; urgency=low

  * Initial release. Closes: #564600

 -- Jon Dowland <jmtd@debian.org>  Thu, 01 Apr 2010 10:05:55 +0100
